public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Zac Medico" <zmedico@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-containers/containers-storage/
Date: Sun, 24 Jul 2022 21:42:57 +0000 (UTC)	[thread overview]
Message-ID: <1658698970.59685c2046f50fc3bbcf67c4ecab4a4b26fc2a47.zmedico@gentoo> (raw)

commit:     59685c2046f50fc3bbcf67c4ecab4a4b26fc2a47
Author:     Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 24 21:42:44 2022 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Sun Jul 24 21:42:50 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=59685c20

app-containers/containers-storage: add 1.42.0

Signed-off-by: Zac Medico <zmedico <AT> gentoo.org>

 app-containers/containers-storage/Manifest         |  1 +
 .../containers-storage-1.42.0.ebuild               | 58 ++++++++++++++++++++++
 2 files changed, 59 insertions(+)

diff --git a/app-containers/containers-storage/Manifest b/app-containers/containers-storage/Manifest
index 96fb5a25b79e..4f58c21d5678 100644
--- a/app-containers/containers-storage/Manifest
+++ b/app-containers/containers-storage/Manifest
@@ -1 +1,2 @@
 DIST containers-storage-1.41.0.tar.gz 3685908 BLAKE2B 5835fa222127d8e2398a33ec02b24ee0b5a94943ed30a19d8b5f76ce4b852f1e7ad9eceb052dcbb2a2c3db96d3ec4ca0150ab81cd0e0a0e351b353f47c0862b5 SHA512 e2d4d887f067d4bdab97426d9cfe7f941b8148d3c40ddb60d5cbc08f1b3a8c5e6a182586f9cdb96873377b8467368527ff89220ba8a5cd7ad4682a90a1243f56
+DIST containers-storage-1.42.0.tar.gz 3767236 BLAKE2B 3cca3833695bb5e15a0ab5d97d5f72e14102d8c6eee1c132932e4177f64ab9a171cf8486f4fe8d9e09a0537a325c988c6b766249c3c0843bb5f1b270a705b523 SHA512 c8a4fdfbc71915dd3a1d5c1fabef4be7641b8a0edb14805719d93bc9de5bd8fe150636c4457fa544487a6bccbb0f58ad36ca3990d6ca3c2b73935418aaf98f22

diff --git a/app-containers/containers-storage/containers-storage-1.42.0.ebuild b/app-containers/containers-storage/containers-storage-1.42.0.ebuild
new file mode 100644
index 000000000000..c01863fdb218
--- /dev/null
+++ b/app-containers/containers-storage/containers-storage-1.42.0.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit go-module
+
+KEYWORDS="~amd64"
+DESCRIPTION="containers/storage library"
+HOMEPAGE="https://github.com/containers/storage"
+LICENSE="Apache-2.0 BSD BSD-2 CC-BY-SA-4.0 ISC MIT"
+SLOT="0"
+IUSE="btrfs +device-mapper test"
+SRC_URI="https://github.com/containers/storage/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+RDEPEND="
+	btrfs? ( sys-fs/btrfs-progs )
+	device-mapper? ( sys-fs/lvm2:= )"
+DEPEND="${RDEPEND}
+	dev-go/go-md2man
+	test? (
+		sys-fs/btrfs-progs
+		sys-fs/lvm2
+		sys-apps/util-linux
+	)"
+RESTRICT="test"
+
+S=${WORKDIR}/${P#containers-}
+
+src_prepare() {
+	default
+
+	sed -e 's|: install\.tools|:|' -i Makefile || die
+
+	[[ -f hack/btrfs_tag.sh ]] || die
+	use btrfs || { echo -e "#!/bin/sh\necho exclude_graphdriver_btrfs" > \
+		"hack/btrfs_tag.sh" || die; }
+
+	[[ -f hack/libdm_tag.sh ]] || die
+	use device-mapper || { echo -e "#!/bin/sh\necho btrfs_noversion exclude_graphdriver_devicemapper" > \
+		"hack/libdm_tag.sh" || die; }
+}
+
+src_compile() {
+	export -n GOCACHE GOPATH XDG_CACHE_HOME #678856
+	emake GOMD2MAN=go-md2man FFJSON= containers-storage docs
+}
+
+src_install() {
+	dobin "${PN}"
+	while read -r -d ''; do
+		mv "${REPLY}" "${REPLY%.1}" || die
+	done < <(find "${S}/docs" -name '*.[[:digit:]].1' -print0)
+	find "${S}/docs" -name '*.[[:digit:]]' -exec doman '{}' + || die
+}
+
+src_test() {
+	env -u GOFLAGS unshare -m emake local-test-unit || die
+}


             reply	other threads:[~2022-07-24 21:43 UTC|newest]

Thread overview: 27+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-07-24 21:42 Zac Medico [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-22  8:55 [gentoo-commits] repo/gentoo:master commit in: app-containers/containers-storage/ WANG Xuerui
2024-08-22  8:55 WANG Xuerui
2024-05-25  5:05 Arthur Zamarin
2024-05-13 12:29 Arthur Zamarin
2024-05-11 15:16 Arthur Zamarin
2024-03-06  4:17 Zac Medico
2024-02-23 12:54 Joonas Niilola
2024-02-22  4:45 Ionen Wolkens
2024-01-11 18:08 Zac Medico
2024-01-07  6:52 Joonas Niilola
2023-11-29  6:16 Zac Medico
2023-10-31 19:53 Sam James
2023-10-31 19:21 Sam James
2023-10-31 17:19 Mike Gilbert
2023-09-27 15:00 Yixun Lan
2023-09-25  4:48 Sam James
2023-09-21 22:17 Sam James
2022-06-02  3:38 Zac Medico
2022-05-13 21:01 Zac Medico
2022-05-04  3:18 Zac Medico
2022-04-15  4:24 Zac Medico
2022-03-24  4:49 Zac Medico
2022-02-04 23:24 Zac Medico
2022-01-24  3:21 Zac Medico
2022-01-10 14:38 Zac Medico
2021-12-31 18:38 Zac Medico

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1658698970.59685c2046f50fc3bbcf67c4ecab4a4b26fc2a47.zmedico@gentoo \
    --to=zmedico@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox